/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 *  Julia Mineeva <julia.mineeva@osinit.ru>
 *  Evgeniy Augin <evgeniy.augin@osinit.ru>
 *  Ivan Kulkov   <ivan.kulkov@osinit.ru>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "eventsareafactory.h"

#include "galleryarea.h"
#include "cloudarea.h"

QActivityEventsArea* QEventsAreaFactory::createArea(ShowType showType, QGraphicsItem *parent, Qt::WindowFlags wFlags)
{
  QActivityEventsArea* area = 0;

  switch (showType)
  {
  default:
  case Gallery: area = new QGalleryArea(parent, wFlags); break;
  case Cloud:   area = new QCloudArea(parent, wFlags); break;
  }

  return area;
};
